Policies
Get policy
Returns a single policy.
GET
/
workspaces
/
{workspaceId}
/
policies
/
{policyId}
Get policy
curl --request GET \
--url https://api.example.com/workspaces/{workspaceId}/policies/{policyId}import requests
url = "https://api.example.com/workspaces/{workspaceId}/policies/{policyId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/workspaces/{workspaceId}/policies/{policyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/workspaces/{workspaceId}/policies/{policyId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/workspaces/{workspaceId}/policies/{policyId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/workspaces/{workspaceId}/policies/{policyId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/workspaces/{workspaceId}/policies/{policyId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"avatarUrl": "<string>",
"displayName": "<string>"
},
"definition": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"fallback": {
"audio": {
"kind": "erase"
},
"image": {
"kind": "erase"
},
"tabular": {
"kind": "cell",
"spec": {
"kind": "erase"
}
},
"text": {
"kind": "erase"
}
},
"rules": [
{
"action": {
"audio": {
"kind": "erase"
},
"image": {
"kind": "erase"
},
"tabular": {
"kind": "cell",
"spec": {
"kind": "erase"
}
},
"text": {
"kind": "erase"
}
},
"kind": "predicated",
"predicate": {
"kind": "confidence",
"min": 123
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"attribution": {
"name": "<string>",
"kind": "freeform",
"description": "<string>"
},
"description": "<string>"
}
],
"scopes": [
{
"labels": [
"<string>"
],
"name": "<string>",
"attribution": {
"name": "<string>",
"kind": "freeform",
"description": "<string>"
},
"description": "<string>"
}
],
"template": {
"id": "<string>",
"version": "<string>"
}
},
"displayName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "authored",
"updatedAt": "2023-11-07T05:31:56Z",
"versionNumber": 123,
"workspaceHandle": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}Path Parameters
Workspace identifier.
Id of the policy.
Response
Response type for a workspace policy.
Response type for a workspace policy.
When the policy was created.
Account that created this policy.
Show child attributes
Show child attributes
The structured policy body consumed by the engine (the current version).
Show child attributes
Show child attributes
Human-readable policy display name.
Unique identifier of the policy.
How the policy came to exist. A one-shot policy (minted from labels) is content-addressed, deduplicated, and immutable; an authored policy is a normal, editable policy.
Allowed value:
"authored"When the policy was last updated.
The current version number of the policy's definition.
URL-safe workspace handle. Display-only.
Required string length:
3 - 32Pattern:
^[a-z0-9]+(?:-[a-z0-9]+)*$Unique identifier of the workspace.
Policy description.
Get policy
curl --request GET \
--url https://api.example.com/workspaces/{workspaceId}/policies/{policyId}import requests
url = "https://api.example.com/workspaces/{workspaceId}/policies/{policyId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/workspaces/{workspaceId}/policies/{policyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/workspaces/{workspaceId}/policies/{policyId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/workspaces/{workspaceId}/policies/{policyId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/workspaces/{workspaceId}/policies/{policyId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/workspaces/{workspaceId}/policies/{policyId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"avatarUrl": "<string>",
"displayName": "<string>"
},
"definition": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"fallback": {
"audio": {
"kind": "erase"
},
"image": {
"kind": "erase"
},
"tabular": {
"kind": "cell",
"spec": {
"kind": "erase"
}
},
"text": {
"kind": "erase"
}
},
"rules": [
{
"action": {
"audio": {
"kind": "erase"
},
"image": {
"kind": "erase"
},
"tabular": {
"kind": "cell",
"spec": {
"kind": "erase"
}
},
"text": {
"kind": "erase"
}
},
"kind": "predicated",
"predicate": {
"kind": "confidence",
"min": 123
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"attribution": {
"name": "<string>",
"kind": "freeform",
"description": "<string>"
},
"description": "<string>"
}
],
"scopes": [
{
"labels": [
"<string>"
],
"name": "<string>",
"attribution": {
"name": "<string>",
"kind": "freeform",
"description": "<string>"
},
"description": "<string>"
}
],
"template": {
"id": "<string>",
"version": "<string>"
}
},
"displayName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "authored",
"updatedAt": "2023-11-07T05:31:56Z",
"versionNumber": 123,
"workspaceHandle": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}